/*
 * SPDX-License-Identifier: AGPL-3.0-only
 * Copyright (c) Camden Dixie O'Brien
 */

#include "buttons.h"
#include "console.h"
#include "display.h"
#include "settings.h"
#include "sound.h"
#include "time_manager.h"
#include "wifi.h"

void app_main(void)
{
	console_init();
	settings_init();
	wifi_init();
	time_manager_init();
	display_init();
	sound_init();
	buttons_init();
}
